
// Dummy Color.swift version 1.0 written by fuku@rouge.gr.jp

public
struct Color: Sendable {

    let rgba:[Double]

    public init(red:Double,green:Double,blue:Double,alpha:Double = 1.0) {
        self.rgba = [red,green,blue,alpha]
    }

    public func opacity(_ v:Double) -> Color {
        return Color(red:rgba[0],green:rgba[1],blue:rgba[2],alpha:v)
    }

    // let c:Color = Color.red としてアクセスする
    // 各色は一般的な値。本家とは違う
    public static let blue      = Color(red:   0,green:   0,blue:1.00)
    public static let black     = Color(red:   0,green:   0,blue:   0)
    public static let brown     = Color(red:0.65,green:0.16,blue:0.16)
    public static let clear     = Color(red:1.00,green:1.00,blue:1.00,alpha:1.00)
    public static let cyan      = Color(red:   0,green:1.00,blue:1.00)
    public static let gray      = Color(red:0.50,green:0.50,blue:0.50)
    public static let green     = Color(red:   0,green:1.00,blue:   0)
    public static let indigo    = Color(red:0.29,green:   0,blue:0.50)
    public static let mint      = Color(red:0.24,green:0.70,blue:0.54)
    public static let orange    = Color(red:1.00,green:0.64,blue:   0)
    public static let pink      = Color(red:1.00,green:0.75,blue:0.79)
    public static let primary   = Color(red:   0,green:   0,blue:   0)  // 不定
    public static let purple    = Color(red:0.61,green:0.45,blue:0.69)
    public static let red       = Color(red:1.00,green:   0,blue:   0)
    public static let secondary = Color(red:   0,green:   0,blue:   0)  // 不定
    public static let teal      = Color(red:   0,green:0.50,blue:0.50)
    public static let white     = Color(red:1.00,green:1.00,blue:1.00)
    public static let yellow    = Color(red:1.00,green:1.00,blue:   0)
}

