
// Dummy Path.swift version 1.0 written by fuku@rouge.gr.jp

import Foundation

public
struct Path {

    var cgPath:CGPath

    public init() {
        cgPath = CGPath()
    }

    public mutating func move(to:CGPoint) {
        cgPath = CGPath()
        cgPath.move(to:to)
    }

    public mutating func addLine(to:CGPoint) {
        cgPath.addLine(to:to)
    }

    public mutating func closeSubpath() {
        cgPath.closeSubpath(to:CGPoint())
    }
}

